# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------
# pylint: disable=wrong-import-position

from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from ._patch import *  # pylint: disable=unused-wildcard-import


from ._models_py3 import (  # type: ignore
    AgentPool,
    AgentPoolAvailableVersions,
    AgentPoolAvailableVersionsPropertiesAgentPoolVersionsItem,
    AgentPoolListResult,
    AgentPoolUpgradeProfile,
    AgentPoolUpgradeProfilePropertiesUpgradesItem,
    AgentPoolUpgradeSettings,
    CloudError,
    CloudErrorBody,
    Components1Q1Og48SchemasManagedclusterAllof1,
    Components1Umhcm8SchemasManagedclusteridentityPropertiesUserassignedidentitiesAdditionalproperties,
    ComponentsQit0EtSchemasManagedclusterpropertiesPropertiesIdentityprofileAdditionalproperties,
    ContainerServiceDiagnosticsProfile,
    ContainerServiceLinuxProfile,
    ContainerServiceMasterProfile,
    ContainerServiceNetworkProfile,
    ContainerServiceSshConfiguration,
    ContainerServiceSshPublicKey,
    ContainerServiceVMDiagnostics,
    CredentialResult,
    CredentialResults,
    KubeletConfig,
    LinuxOSConfig,
    ManagedCluster,
    ManagedClusterAADProfile,
    ManagedClusterAPIServerAccessProfile,
    ManagedClusterAccessProfile,
    ManagedClusterAddonProfile,
    ManagedClusterAddonProfileIdentity,
    ManagedClusterAgentPoolProfile,
    ManagedClusterAgentPoolProfileProperties,
    ManagedClusterAutoUpgradeProfile,
    ManagedClusterIdentity,
    ManagedClusterListResult,
    ManagedClusterLoadBalancerProfile,
    ManagedClusterLoadBalancerProfileManagedOutboundIPs,
    ManagedClusterLoadBalancerProfileOutboundIPPrefixes,
    ManagedClusterLoadBalancerProfileOutboundIPs,
    ManagedClusterPodIdentity,
    ManagedClusterPodIdentityException,
    ManagedClusterPodIdentityProfile,
    ManagedClusterPodIdentityProvisioningInfo,
    ManagedClusterPoolUpgradeProfile,
    ManagedClusterPoolUpgradeProfileUpgradesItem,
    ManagedClusterPropertiesAutoScalerProfile,
    ManagedClusterSKU,
    ManagedClusterServicePrincipalProfile,
    ManagedClusterUpgradeProfile,
    ManagedClusterWindowsProfile,
    OperationListResult,
    OperationValue,
    PowerState,
    PrivateEndpoint,
    PrivateEndpointConnection,
    PrivateEndpointConnectionListResult,
    PrivateLinkResource,
    PrivateLinkResourcesListResult,
    PrivateLinkServiceConnectionState,
    Resource,
    ResourceReference,
    SubResource,
    SysctlConfig,
    TagsObject,
    UserAssignedIdentity,
)

from ._container_service_client_enums import (  # type: ignore
    AgentPoolMode,
    AgentPoolType,
    Code,
    ConnectionStatus,
    ContainerServiceStorageProfileTypes,
    ContainerServiceVMSizeTypes,
    Count,
    Expander,
    LicenseType,
    LoadBalancerSku,
    ManagedClusterPodIdentityProvisioningState,
    ManagedClusterSKUName,
    ManagedClusterSKUTier,
    NetworkMode,
    NetworkPlugin,
    NetworkPolicy,
    OSDiskType,
    OSType,
    OutboundType,
    PrivateEndpointConnectionProvisioningState,
    ResourceIdentityType,
    ScaleSetEvictionPolicy,
    ScaleSetPriority,
    UpgradeChannel,
)
from ._patch import __all__ as _patch_all
from ._patch import *
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "AgentPool",
    "AgentPoolAvailableVersions",
    "AgentPoolAvailableVersionsPropertiesAgentPoolVersionsItem",
    "AgentPoolListResult",
    "AgentPoolUpgradeProfile",
    "AgentPoolUpgradeProfilePropertiesUpgradesItem",
    "AgentPoolUpgradeSettings",
    "CloudError",
    "CloudErrorBody",
    "Components1Q1Og48SchemasManagedclusterAllof1",
    "Components1Umhcm8SchemasManagedclusteridentityPropertiesUserassignedidentitiesAdditionalproperties",
    "ComponentsQit0EtSchemasManagedclusterpropertiesPropertiesIdentityprofileAdditionalproperties",
    "ContainerServiceDiagnosticsProfile",
    "ContainerServiceLinuxProfile",
    "ContainerServiceMasterProfile",
    "ContainerServiceNetworkProfile",
    "ContainerServiceSshConfiguration",
    "ContainerServiceSshPublicKey",
    "ContainerServiceVMDiagnostics",
    "CredentialResult",
    "CredentialResults",
    "KubeletConfig",
    "LinuxOSConfig",
    "ManagedCluster",
    "ManagedClusterAADProfile",
    "ManagedClusterAPIServerAccessProfile",
    "ManagedClusterAccessProfile",
    "ManagedClusterAddonProfile",
    "ManagedClusterAddonProfileIdentity",
    "ManagedClusterAgentPoolProfile",
    "ManagedClusterAgentPoolProfileProperties",
    "ManagedClusterAutoUpgradeProfile",
    "ManagedClusterIdentity",
    "ManagedClusterListResult",
    "ManagedClusterLoadBalancerProfile",
    "ManagedClusterLoadBalancerProfileManagedOutboundIPs",
    "ManagedClusterLoadBalancerProfileOutboundIPPrefixes",
    "ManagedClusterLoadBalancerProfileOutboundIPs",
    "ManagedClusterPodIdentity",
    "ManagedClusterPodIdentityException",
    "ManagedClusterPodIdentityProfile",
    "ManagedClusterPodIdentityProvisioningInfo",
    "ManagedClusterPoolUpgradeProfile",
    "ManagedClusterPoolUpgradeProfileUpgradesItem",
    "ManagedClusterPropertiesAutoScalerProfile",
    "ManagedClusterSKU",
    "ManagedClusterServicePrincipalProfile",
    "ManagedClusterUpgradeProfile",
    "ManagedClusterWindowsProfile",
    "OperationListResult",
    "OperationValue",
    "PowerState",
    "PrivateEndpoint",
    "PrivateEndpointConnection",
    "PrivateEndpointConnectionListResult",
    "PrivateLinkResource",
    "PrivateLinkResourcesListResult",
    "PrivateLinkServiceConnectionState",
    "Resource",
    "ResourceReference",
    "SubResource",
    "SysctlConfig",
    "TagsObject",
    "UserAssignedIdentity",
    "AgentPoolMode",
    "AgentPoolType",
    "Code",
    "ConnectionStatus",
    "ContainerServiceStorageProfileTypes",
    "ContainerServiceVMSizeTypes",
    "Count",
    "Expander",
    "LicenseType",
    "LoadBalancerSku",
    "ManagedClusterPodIdentityProvisioningState",
    "ManagedClusterSKUName",
    "ManagedClusterSKUTier",
    "NetworkMode",
    "NetworkPlugin",
    "NetworkPolicy",
    "OSDiskType",
    "OSType",
    "OutboundType",
    "PrivateEndpointConnectionProvisioningState",
    "ResourceIdentityType",
    "ScaleSetEvictionPolicy",
    "ScaleSetPriority",
    "UpgradeChannel",
]
__all__.extend([p for p in _patch_all if p not in __all__])  # pyright: ignore
_patch_sdk()
